%define major 16
%define gir_major 1.0
%define libname %mklibname xklavier %{major}
%define girname %mklibname xkl-gir %{gir_major}
%define develname %mklibname -d xklavier

Name:		libxklavier
Summary:	X Keyboard support library
Version:	5.2.1
Release:	2
License:	LGPLv2+
Group:		System/Libraries
Url:		http://gswitchit.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	iso-codes
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xkbfile)

%description
This library allows you simplify XKB-related development.

%package -n %{libname}
Summary:	X Keyboard support library
Group:		System/Libraries

%description -n %{libname}
This library allows you simplify XKB-related development.

%package -n %{girname}
Group: System/Libraries
Summary: GObject Introspection interface library for %{name}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Summary: Libraries, includes, etc to develop libxklavier applications
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: %{_lib}xklavier8-devel
Obsoletes: %mklibname -d xklavier 11

%description  -n %{develname}
Libraries, include files, etc you can use to develop libxklavier
applications.

%prep
%setup -q

%build
if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi
%configure2_5x \
	--disable-static \
	--with-xkb-base=%{_datadir}/X11/xkb/ \
	--with-xkb-bin-base=%{_bindir}/

%make 

%install
%makeinstall_std
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc COPYING.LIB 
%{_libdir}/lib*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Xkl-%{gir_major}.typelib

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Xkl-%{gir_major}.gir
%{_datadir}/gtk-doc/html/%{name}/*



%changelog
* Fri Apr 27 2012 Matthew Dawkins <mattydaw@mandriva.org> 5.2.1-2
+ Revision: 793693
- rebuild for typelib generation

* Thu Feb 16 2012 Götz Waschk <waschk@mandriva.org> 5.2.1-1
+ Revision: 774964
- new version

* Wed Jan 18 2012 Götz Waschk <waschk@mandriva.org> 5.2-1
+ Revision: 762076
- new version
- xz tarball

* Thu Nov 24 2011 Matthew Dawkins <mattydaw@mandriva.org> 5.1-3
+ Revision: 733264
- fixed BRs & file list
- rebuild
- disabled static build and pkg
- removed defattr
- removed .la files
- removed old ldconfig scriptlets
- removed clean section
- cleaned up spec
- removed reqs for iso-codes in lib
- converted BRs to pkgconfig provides
- removed mkrel & BuildRoot

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 5.1-2
+ Revision: 662425
- mass rebuild

* Sun Feb 13 2011 Götz Waschk <waschk@mandriva.org> 5.1-1
+ Revision: 637588
- update to new version 5.1

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 5.0-3mdv2011.0
+ Revision: 602621
- rebuild

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 5.0-2mdv2010.1
+ Revision: 541519
- BR xi for bug#59030

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 5.0-1mdv2010.1
+ Revision: 489609
- new version
- new major

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 4.0-1mdv2010.0
+ Revision: 390455
- new version
- new major
- drop patches

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 3.9-1mdv2009.1
+ Revision: 357660
- new version
- fix format strings
- fix source URL

* Mon Nov 24 2008 Funda Wang <fwang@mandriva.org> 3.8-1mdv2009.1
+ Revision: 306125
- new version 3.8

* Sat Sep 06 2008 Götz Waschk <waschk@mandriva.org> 3.7-1mdv2009.0
+ Revision: 281911
- new version
- update license
- add dep on iso-codes
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 3.5-2mdv2008.1
+ Revision: 186124
- Do not obsolete libxklavier-data, it is causing one big transaction in urpmi

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 3.5-1mdv2008.1
+ Revision: 183933
- new version
- drop the data package

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 3.4-1mdv2008.1
+ Revision: 160625
- new version
- new major

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 3.3-1mdv2008.0
+ Revision: 80000
- new version
- new devel name


* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 3.2-1mdv2007.1
+ Revision: 149103
- Release 3.2 (fix incorrect group settings)
- Remove patch0 (fixed differently upstream)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 3.1-3mdv2007.1
+ Revision: 144444
- Patch1 (Debian): fix bad realloc usage

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 3.1-2mdv2007.1
+ Revision: 91920
- patch for bug #27504
- fix buildrequires

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 3.1-1mdv2007.1
+ Revision: 88718
- Import libxklavier

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 3.1-1mdv2007.1
- New version 3.1

* Thu Aug 31 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-1mdv2007.0
- Release 3.0

* Sun Jul 02 2006 Guillaume Bedot <littletux@mandriva.org> 2.91-3mdv2007.0
- fix xkb-bin-base

* Sun Jun 04 2006 Gtz Waschk <waschk@mandriva.org> 2.91-2mdv2007.0
- fix xkb prefix
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.91-1mdv2007.0
- Release 2.91
- Remove patch0

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 2.2-1mdk
- New release 2.2

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 2.1-1mdk
- New release 2.1
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0-6mdk
- Rebuild

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-5mdk 
- Rebuild with gtk+ 2.8

* Sun May 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0-4mdk
- add BuildRequires: gettext-devel

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 2.0-3mdk
- fix build with gcc4

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-2mdk 
- Add conflicts to ease update

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-1mdk 
- Release 2.0 (from Gtz Waschk package)
- enable xmodmap support
- Remove patches 0, 1 (merged upstream)

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-2mdk 
- Patch0 (Gentoo): fix double free (Mdk bug #13445)

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-1mdk
- New release 1.04

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.03-2mdk
- lib64 & 64-bit fixes
- provides libxklavier-static-devel

* Fri Jul 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.03-1mdk
- use installed docs
- reenable libtoolize
- fix source URL
- New release 1.03

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.02-1mdk
- fix buildrequires
- new version

* Tue Apr 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.01-1mdk
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.00-1mdk
- new version

